## START: Set by rpmautospec
## (rpmautospec version 0.3.5)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 24
%bcond_without check
%global debug_package %{nil}

%global crate widestring

Name:           rust-widestring
Version:        1.0.2
Release:        %autorelease
Summary:        Converting to and from wide strings (UTF-16 and UTF-32)

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/widestring
Source:         %{crates_source}
# Manually created patch for downstream crate metadata changes
# * drop Windows-specific dev-dependency
Patch:          widestring-fix-metadata.diff
# * drop tests that can only be run on windows
Patch:          0001-drop-doctests-that-can-only-be-run-on-Windows.patch

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
A wide string Rust library for converting to and from wide strings, such
as those often used in Windows API or other FFI libaries. Both `u16` and
`u32` string types are provided, including support for UTF-16 and
UTF-32, malformed encoding, C-style strings, etc.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSES/Apache-2.0.txt
%license %{crate_instdir}/LICENSES/MIT.txt
%doc %{crate_instdir}/CHANGELOG.md
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Oct 18 2023 Fabio Valentini <decathorpe@gmail.com> - 1.0.2-1
- Initial import (#2241633)
